## visad.data.amanda
Class F2000Form

    java.lang.Object
      visad.data.FormNode
          visad.data.Form
              visad.data.amanda.F2000Form

All Implemented Interfaces:
  FormFileInformer

public class F2000Form
extends Form
implements FormFileInformer

F2000Form is the VisAD data format adapter for F2000 files for Amanda events.

Field Summary

Fields inherited from class visad.data.Form
`mathType`

Constructor Summary
`F2000Form()`

Method Summary
`void` `add(String id, Data data, boolean replace)` Add data to an existing data object.
`String[]` `getDefaultSuffixes()` Get default suffixes for files/URLs handeled by this form.
`FormNode` `getForms(Data data)` Return the data forms that are compatible with a data object.
`double` `getXMax()`
`double` `getXMin()`
`double` `getYMax()`
`double` `getYMin()`
`double` `getZMax()`
`double` `getZMin()`
`boolean` `isThisType(byte[] block)` Check to see if the block contains the magic number for this form.
`boolean` `isThisType(String name)` Check to see if the file name might be right for this form.
`DataImpl` `open(String id)` Open an existing data object.
`DataImpl` `open(URL url)` Open a data object specified as a URL.
`void` `save(String id, Data data, boolean replace)` Save a VisAD data object in this form.

Methods inherited from class visad.data.Form
`getMathType`

Methods inherited from class visad.data.FormNode
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### F2000Form

    public F2000Form()

Method Detail

### add

    public void add(String id,
                    Data data,
                    boolean replace)
             throws BadFormException

  Description copied from class: `FormNode`
  Add data to an existing data object.

  Specified by:
    `add` in class `FormNode`
  Throws:
    `BadFormException`

### getDefaultSuffixes

    public String[] getDefaultSuffixes()

  Description copied from interface: `FormFileInformer`
  Get default suffixes for files/URLs handeled by this form.

  Specified by:
    `getDefaultSuffixes` in interface `FormFileInformer`
  Returns:
    array of suffixes

### getForms

    public FormNode getForms(Data data)

  Description copied from class: `FormNode`
  Return the data forms that are compatible with a data object.

  Specified by:
    `getForms` in class `FormNode`

### getXMax

    public final double getXMax()

### getXMin

    public final double getXMin()

### getYMax

    public final double getYMax()

### getYMin

    public final double getYMin()

### getZMax

    public final double getZMax()

### getZMin

    public final double getZMin()

### isThisType

    public boolean isThisType(String name)

  Description copied from interface: `FormFileInformer`
  Check to see if the file name might be right for this form.

  Specified by:
    `isThisType` in interface `FormFileInformer`
  Parameters:
    `name` - name of the file
  Returns:
    true if the name is right for this type of form

### isThisType

    public boolean isThisType(byte[] block)

  Description copied from interface: `FormFileInformer`
  Check to see if the block contains the magic number for this form.

  Specified by:
    `isThisType` in interface `FormFileInformer`
  Parameters:
    `block` - block of bytes from file
  Returns:
    true if the magic number is right

### open

    public DataImpl open(String id)
                  throws BadFormException,
                         IOException,
                         VisADException

  Description copied from class: `FormNode`
  Open an existing data object.

  Specified by:
    `open` in class `FormNode`
  Throws:
    `BadFormException`
    `IOException`
    `VisADException`

### open

    public DataImpl open(URL url)
                  throws BadFormException,
                         VisADException,
                         IOException

  Description copied from class: `FormNode`
  Open a data object specified as a URL.

  Specified by:
    `open` in class `FormNode`
  Throws:
    `BadFormException`
    `VisADException`
    `IOException`

### save

    public void save(String id,
                     Data data,
                     boolean replace)
              throws BadFormException,
                     IOException,
                     RemoteException,
                     VisADException

  Description copied from class: `FormNode`
  Save a VisAD data object in this form.

  Specified by:
    `save` in class `FormNode`
  Throws:
    `BadFormException`
    `IOException`
    `RemoteException`
    `VisADException`